summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKirill Che <g4s8.public@gmail.com>2019-10-29 16:34:38 +0300
committerJoonas Niilola <juippis@gentoo.org>2019-11-01 15:55:00 +0200
commit9c2552a8a319d603c14e0e3171884961154c24d3 (patch)
tree6b44421a319654ad81e87038242e8d1a6ff03e45 /www-apps
parentwww-apps/phpsysinfo: drop old version (diff)
downloadgentoo-9c2552a8a319d603c14e0e3171884961154c24d3.tar.gz
gentoo-9c2552a8a319d603c14e0e3171884961154c24d3.tar.bz2
gentoo-9c2552a8a319d603c14e0e3171884961154c24d3.zip
www-apps/hugo: bump version to 0.58.3
Package-Manager: Portage-2.3.76, Repoman-2.3.16 Signed-off-by: Kirill Che <g4s8.public@gmail.com> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/hugo/Manifest1
-rw-r--r--www-apps/hugo/hugo-0.58.3.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/www-apps/hugo/Manifest b/www-apps/hugo/Manifest
index 452006af8e2..8d1599fd4f5 100644
--- a/www-apps/hugo/Manifest
+++ b/www-apps/hugo/Manifest
@@ -127,3 +127,4 @@ DIST github.com-yosssi-ace-ea038f4770b6746c3f8f84f14fa60d9fe1205b56.tar.gz 23279
DIST github.com-yosssi-ace-v0.0.5.tar.gz 23277 BLAKE2B 6720498744342dcef520d5af05a889e1abc07b77eb64ff5a2e38ae6b2c0c239363a66275f7a37f50f4a0073e232f39c09be894e1f8cf8a0639bb787023136469 SHA512 1bc93544fb64088271ffca5c2ec4bd136a18527968b4341c2108c6b7156d78292e6d0c5c50fe80cda24bcd17c2d1204af597c0c3281248c3842d1fdc4838b54f
DIST hugo-0.48.tar.gz 18884670 BLAKE2B 1d3207fdc28b293cb76b601213454209d22cbc6eec7bde171c7f249d35be99399a8f07f201d5abf4bda7669ccfa32e588267555e3162b7d9a00887b58b890e0d SHA512 77eefb93288f2208db8e65a0f2ea84a4940a773237854e3f0c3dc41c8f6e67b6db1b98ff243a3665b3e02703089f6242354d185f0e110a72794867beda76ab81
DIST hugo-0.50.tar.gz 19943257 BLAKE2B 0c6d31c0ab94655d45bce9c42a41bbdfa3011322bf03860b3970ad94ebcedc67f0c32a805442f9f7666fc14054d75eb744e004a9feef6f93bcb50d4052cc024b SHA512 0cb48f30ea008382ee7c90d28713999014153d930ffad72a910cd25bdd868f9f9bb91d5825b8eebc967680a33736a69ed71b93699ca629618ae6fdbf669ca661
+DIST hugo-0.58.3.tar.gz 35274155 BLAKE2B 5f60a49ebdba3a1f259f0670b53eee011c8145d774ab5ab58773420adc00020bfd2c666284f069e25d5274b9e10959ba40a4dd3d65e2091880f03e34ca5177c7 SHA512 b51a83a3853e985dbd79f681198f2c41621ad4253b1b04359264cd9bc5037fffe2fafc4bffafd47dd44bb8880b3f6b3e32ea72e4e352099c08c392f5ab1ebe2e
diff --git a/www-apps/hugo/hugo-0.58.3.ebuild b/www-apps/hugo/hugo-0.58.3.ebuild
new file mode 100644
index 00000000000..80f8f7e111c
--- /dev/null
+++ b/www-apps/hugo/hugo-0.58.3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit go-module bash-completion-r1
+
+# The fork with prefetched vendor packages using `go mod vendor`
+EGO_PN="github.com/g4s8/hugo"
+GIT_COMMIT="e5194ddedf51ecb3a0c63cf5f5aa82a3be21c8cf"
+KEYWORDS="~amd64"
+
+DESCRIPTION="The world's fastest framework for building websites"
+HOMEPAGE="https://gohugo.io https://github.com/gohugoio/hugo"
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="Apache-2.0 Unlicense BSD BSD-2 MPL-2.0"
+SLOT="0"
+IUSE="+sass +bash-completion"
+
+RESTRICT="test"
+
+src_compile() {
+ mkdir -pv bin || die
+ go build -ldflags \
+ "-X ${EGO_PN}/hugolib.CommitHash=${GIT_COMMIT}" \
+ $(usex sass "-tags extended" "") -o "${S}/bin/hugo" || die
+ bin/hugo gen man || die
+ if use bash-completion ; then
+ bin/hugo gen autocomplete --completionfile hugo || die
+ fi
+}
+
+src_install() {
+ dobin bin/*
+ if use bash-completion ; then
+ dobashcomp hugo || die
+ fi
+ doman man/*
+ dodoc README.md
+}